/**
  ******************************************************************************
  * @file           : adc.h
  * @brief          : ADC driver.
  * @author         : sbl1987@mail.ru
  ******************************************************************************
*/

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __ADC_H
#define __ADC_H

#ifdef __cplusplus
 extern "C" {
#endif
/* Includes ------------------------------------------------------------------*/
#include "stm32f1xx_hal.h"

/* Defines -------------------------------------------------------------------*/
#define ADC_MAX_CHANNAL                2
 
void adc_init(void);
void adc_start(uint8_t adc_ch);
uint16_t adc_get(uint8_t adc_ch);

void HAL_ADC_ConvCpltCallback(ADC_HandleTypeDef* hadc);

#ifdef __cplusplus
}
#endif
  
#endif

