/**
  ******************************************************************************
  * @file           : led.h
  * @brief          : led driver.
  * @author         : sbl1987@mail.ru
  ******************************************************************************
*/

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __LED_H
#define __LED_H

#ifdef __cplusplus
 extern "C" {
#endif
/* Includes ------------------------------------------------------------------*/
#include "stm32f1xx_hal.h"

void led_init(void);
void led_set(uint8_t pwm);
uint8_t led_get(void);
  
extern void HAL_TIM_PeriodElapsedCallback(TIM_HandleTypeDef *htim);

#ifdef __cplusplus
}
#endif
  
#endif

