/**
  ******************************************************************************
  * @file           : pin_out_in.c
  * @brief          : pins driver.
  * @author         : sbl1987@mail.ru
  ******************************************************************************
*/

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __PIN_OUT_IN_H
#define __PIN_OUT_IN_H

#ifdef __cplusplus
 extern "C" {
#endif
/* Includes ------------------------------------------------------------------*/
#include "stm32f1xx_hal.h"

/* Defines -------------------------------------------------------------------*/
#define PIN_OUT_RESET                  0
#define PIN_OUT_ACTIV                  1
  
void pin_out_set(uint8_t pin, uint8_t state);
uint8_t pin_out_in_get(uint8_t pin);

#ifdef __cplusplus
}
#endif
  
#endif

